@font-face {
  font-family: "TOMMYTXTEY";
  src: url("TOMMYTXTEY.woff2") format("woff2");
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: "Menlo";
  src: url("Menlo-Regular.ttf") format("ttf");
  font-weight: normal;
  font-style: normal;
}

html, body {
  background: white;
  margin: 0;
  padding: 0;
  color: white;
  width: 100%;
  height: 100%;
  overflow: hidden; /* empêche tout scroll */
}

#container {
  cursor: default;
  white-space: pre;
  text-align: left;
  font-family: 'Menlo', monospace;
  color: #dbdbdb;
  font-size: 16px;
  line-height: 1em;
  user-select: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;     
  height: 100dvh;    
  z-index: 0;
  pointer-events: none;
  display: flex;
  align-items: stretch;  
  justify-content: stretch;
}

#container-orange {
  cursor: default;
  white-space: pre;
  text-align: left;
  font-family: 'Menlo', monospace;
  color: #111111;
  font-size: 16px;
  font-weight: 600;
  line-height: 1em;
  user-select: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;     
  height: 100dvh;    
  z-index: 0;
  pointer-events: none;
  display: flex;
  align-items: stretch;  
  justify-content: stretch;
  mask-image: url("logo.svg");
    mask-size: contain;
    mask-repeat: no-repeat;
    mask-position: center;

    -webkit-mask-image: url("logo.svg");
    -webkit-mask-size: contain;
    -webkit-mask-repeat: no-repeat;
    -webkit-mask-position: center;
}

.content {
  position: relative;
  z-index: 10;
  color: white;
  padding: 0;
  height: 100dvh;
}

header {
    position: absolute;
    top: 0;
    left: 0;
    display: flex; 
    justify-content: space-between;
    width: calc(100% - 30px);
    padding: 15px;
    font-size: 30px;
}

footer {
    position: absolute;
    bottom: 0;
    left: 0;
    display: flex; 
    justify-content: space-between;
    width: calc(100% - 30px);
    padding: 15px;
    font-size: 30px;
}

a {
  font-family: TOMMYTXTEY;
  text-decoration: none;
  color: #111111;
}

a:hover {
  text-shadow: 0 0 5px #111111,
        0 0 20px #111111,
        0 0 40px #111111;
  transition-duration: 0.2s;
}

.popup-overlay {
    display: none;
    position: fixed;
    inset: 0;
    z-index: 9999;
    background: rgba(0, 0, 0, 0.1);
    align-items: center;
    justify-content: center;
  }

  .popup-overlay.active {
    display: flex;
  }

  .popup-content {
    position: relative;
    width: 90%;
    max-width: 600px;
    padding: 0px;
    background: white;
    box-shadow: 0 8px 25px rgba(0, 0, 0, 0.2);
    border : #111111 solid 1px;
  }

  .popup-header {
    height: 50px;
    display: flex;
  }

  .popup-head-lf {
    width : 90%;
    border: solid #111111;
    border-width: 0px 0px 1px 0px;
    padding: 10px;
    display: flex;
    align-items: center;
  }

  .popup-head-lf p {
    margin: 0;
  }

  .popup-head-rg {
    width: 10%;
    display: flex;
    align-items: center;
    justify-content: center;
    border: solid #111111;
    border-width: 0px 0px 1px 1px;
  }

  .popup-close {
    border: 0;
    background: none;
    font-size: 30px;
    line-height: 1;
    cursor: pointer;
    color: #111111;
  }

  .popup-main {
    min-height: 40vh;
    padding : 10px;
    max-height:70vh;
    overflow-y: auto;
    scrollbar-width: none; /* Firefox */
  }

  .popup-main::-webkit-scrollbar {
    display: none; /* Chrome, Safari */
  }

  .popup-main ul {
    margin: 0;
    padding: 0;
  }

  .popup-main li {
    display: flex; 
    align-items: center;  
    justify-content: space-between;
  }

  .popup-content p, .popup-main li a {
    font-family: 'Menlo', monospace;
    color: #111111;
    font-size: 15px;
    line-height: 1em;
  }

  .popup-main li a {
    text-decoration: underline;
    white-space: nowrap;
  }

  .popup-main li p {
    margin-left : 10px;
    text-align: right;
  }